import { Injectable } from '@angular/core';
import { Observable } from "rxjs";
import { HttpClient, HttpHeaders, HttpParams, } from "@angular/common/http";
import { ApiRequestService } from "src/app/services/api/api-request.service";
import { environment } from 'src/environments/environment';
@Injectable({
  providedIn: 'root'
})
export class Demoregistrationservice{
  private baseURL = "Demoregistration/Demoregistration" ;  constructor(
    private http: HttpClient,
    private apiRequest: ApiRequestService,
  ) { }
  getAll(page?: number, size?: number): Observable<any> {
    return this.apiRequest.get(this.baseURL);
  }
  getById(id: number): Observable<any> {
    const _http = this.baseURL + "/" + id;
    return this.apiRequest.get(_http);
  }
  create(data: any): Observable<any> {
    return this.apiRequest.post(this.baseURL, data);
  }
  update(id: number, data: any): Observable<any> {
    const _http = this.baseURL + "/" + id;
    return this.apiRequest.put(_http, data);
  }
  delete(id: number): Observable<any> {
    const _http = this.baseURL + "/" + id;
    return this.apiRequest.delete(_http);
  }






getAllcountry(): Observable<any> {   
return this.apiRequest.get("Country_ListFilter1/Country_ListFilter1");  }



  getstateDependent(field: string): Observable<any> {
    return this.apiRequest.get("State_ListFilter1/State_ListFilter11/" + field);
  }





  getdistrictDependent(field: string): Observable<any> {
    return this.apiRequest.get("District_ListFilter1/District_ListFilter11/" + field);
  }



// updateaction
}